| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
OwnershipQosPolicy Class Reference

Specifies whether it is allowed for multiple DataWriters to write the same instance of the data and if so, how these modifications should be arbitrated. More...

`#include <QosPolicies.hpp>`

Inheritance diagram for OwnershipQosPolicy:
[legend]

## Public Member Functions

FASTDDS_EXPORTED_API | OwnershipQosPolicy ()
| Constructor.
virtual FASTDDS_EXPORTED_API | ~OwnershipQosPolicy ()=default
| Destructor.
bool | operator== (const OwnershipQosPolicy &b) const
void | clear () override
| Clears the QosPolicy object.
Public Member Functions inherited from Parameter_t
FASTDDS_EXPORTED_API | Parameter_t ()
| Constructor without parameters.
FASTDDS_EXPORTED_API | Parameter_t (ParameterId_t pid, uint16_t length)
| Constructor using a parameter PID and the parameter length.
virtual FASTDDS_EXPORTED_API | ~Parameter_t ()
| Destructor.
bool | operator== (const Parameter_t &b) const
Public Member Functions inherited from QosPolicy
| QosPolicy ()
| Constructor without parameters.
| QosPolicy (bool send_always)
| Constructor.
| QosPolicy (const QosPolicy &b)=default
| Copy Constructor.
virtual | ~QosPolicy ()=default
| Destructor.
bool | operator== (const QosPolicy &b) const
QosPolicy & | operator= (const QosPolicy &b)=default
virtual bool | send_always () const
| Whether it should always be sent.

## Public Attributes

OwnershipQosPolicyKind | kind
| OwnershipQosPolicyKind.
Public Attributes inherited from Parameter_t
ParameterId_t | Pid
| Parameter ID. By default, PID_PAD.
uint16_t | length
| Parameter length. By default, 0.
Public Attributes inherited from QosPolicy
bool | hasChanged
| Boolean that indicates if the Qos has been changed with respect to the default Qos.

## Additional Inherited Members

Protected Attributes inherited from QosPolicy
bool | send_always_
| Boolean that indicates if the Qos has to be sent even if it is not changed.

## Detailed Description

Specifies whether it is allowed for multiple DataWriters to write the same instance of the data and if so, how these modifications should be arbitrated.

Note
  Immutable Qos Policy

## Constructor & Destructor Documentation

## ◆ OwnershipQosPolicy()

FASTDDS_EXPORTED_API OwnershipQosPolicy | ( |  | ) |

inline

Constructor.

## ◆ ~OwnershipQosPolicy()

virtual FASTDDS_EXPORTED_API ~OwnershipQosPolicy | ( |  | ) |

virtual default

Destructor.

## Member Function Documentation

## ◆ clear()

void clear | ( |  | ) |

inline override virtual

Clears the QosPolicy object.

Implements QosPolicy.

## ◆ operator==()

bool operator== | ( | const OwnershipQosPolicy & | b | ) | const

inline

## Member Data Documentation

## ◆ kind

OwnershipQosPolicyKind kind

OwnershipQosPolicyKind.

The documentation for this class was generated from the following file:

- include/fastdds/dds/core/policy/QosPolicies.hpp